Forum Thread: python-cjson Unicode Character Encoding Buffer Overflow Vulnerabi...

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Vulnerabilities

See the original Secunia advisory:
python-cjson Unicode Character Encoding Buffer Overflow Vulnerability

Secunia python-cjson Unicode Character Encoding Buffer Overflow Vulnerability
Secunia Official 13th Aug, 2010 03:47
Ranking: 0
Posts: 0
User Since: -
System Score: -
Location: Copenhagen, DK
A vulnerability has been reported in python-cjson, which can be exploited by malicious people to cause a DoS (Denial of Service) and potentially compromise an application using the module.

The vulnerability is caused due to a boundary error when encoding certain wide unicode character sequences. This can be exploited to cause a buffer overflow by e.g. tricking an application into encoding specially crafted wide unicode strings.

The vulnerability is reported in version 1.0.5 on UCS4 builds. Other versions may also be affected.

mgiuca RE: python-cjson Unicode Character Encoding Buffer Overflow Vulnerability
Member 13th Aug, 2010 03:47
Score: 5
Posts: 1
User Since: 13th Aug 2010
System Score: N/A
Location: AU
Last edited on 13th Aug, 2010 03:47
I originally reported this bug (on Launchpad) and submitted a patch, which was accepted at least in Debian and Ubuntu awhile back. On those platforms, this module is patched automatically.

This advisory says "unpatched" with the solution being to "use another module". However, there is a patch available at:
http://launchpadlibrarian.net/49116913/encode-hard...
Was this reply relevant?
+5
-0